Subject: Probs building wu-ftpd on IRIX 5.2

From: "D.Ashton-Reader" <[email-masked]>
Date: Mon, 20 Feb 1995 15:43:12 +0000

Help! - I get the following trying to build wu-ftpd
(this using 'gcc' 2.6.3, but also probs with SGI compiler)

`uname -a` gives "IRIX support 5.2 02282013 IP6 mips"
____________________________________________________________

support 388# ./build CC=gcc sgi
make args are : 
make opts are :  CC=gcc
 
Linking Makefiles.
 
Making support library.
gcc -O -DDEBUG   -c getusershell.c
gcc -O -DDEBUG   -c fnmatch.c
gcc -O -DDEBUG   -c strcasestr.c
gcc -O -DDEBUG   -c strsep.c
gcc -O -DDEBUG   -c authuser.c
rm -f libsupport.a
ar cq libsupport.a getusershell.o fnmatch.o strcasestr.o strsep.o authuser.o
touch libsupport.a
 
Making ftpd.
gcc -O -DDEBUG -I.. -I../support -L../support   -c ftpd.c -o ftpd.o
In file included from /usr/local/lib/gcc-lib/mips-sgi-irix5.2/2.6.3/include/stdarg.h:27,
                 from /usr/include/syslog.h:33,
                 from ftpd.c:78:
/usr/local/lib/gcc-lib/mips-sgi-irix5.2/2.6.3/include/va-mips.h:42: warning: `va_start' redefined
/usr/local/lib/gcc-lib/mips-sgi-irix5.2/2.6.3/include/va-mips.h:52: warning: this is the location of the previous definition
ftpd.c:2021: macro `va_start' used with just one arg
ftpd.c:2072: macro `va_start' used with just one arg
ftpd.c:2699: macro `va_start' used with just one arg
make: *** [ftpd.o] Error 1
 
Making ftpcount.
gcc -O -DDEBUG -I.. -I../support -L../support -o ftpcount ftpcount.c vers.o -lsupport
gcc: vers.o: No such file or directory
ftpcount.c: In function `parsetime':
ftpcount.c:98: warning: comparison between pointer and integer
ftpcount.c:107: warning: comparison between pointer and integer
ftpcount.c: In function `acl_getlimit':
ftpcount.c:159: warning: comparison between pointer and integer
ftpcount.c:162: warning: assignment makes integer from pointer without a cast
ftpcount.c: In function `main':
ftpcount.c:307: warning: comparison between pointer and integer
ftpcount.c:310: warning: assignment makes integer from pointer without a cast
make: *** [ftpcount] Error 1
 
Making ftpshut.
gcc -O -DDEBUG -I.. -I../support -L../support -o ftpshut ftpshut.c vers.o -lsupport
gcc: vers.o: No such file or directory
ftpshut.c: In function `main':
ftpshut.c:188: warning: comparison between pointer and integer
ftpshut.c:191: warning: assignment makes integer from pointer without a cast
make: *** [ftpshut] Error 1
 
Making ckconfig.
gcc -O -DDEBUG -I.. -I../support -L../support -o ckconfig ckconfig.c
 
Links to executables are in bin directory:
size: cannot open bin/ftpd
size: cannot open bin/ftpcount
size: cannot open bin/ftpshut
size: cannot open bin/ftpwho
 
Size of bin/ckconfig:5271       
 
        Section         Size      Physical Address    Virtual Address
 
          .text        2016          4196576            4196576 
          .init          32          4198592            4198592 
          .data          32         268435456           268435456 
           .lib          32          4194896            4194896 
          .sbss          32         268436672           268436672 
       .dynamic         208          4194688            4194688 
        .dynstr         448          4194944            4194944 
       .rel.dyn          16          4194928            4194928 
        .dynsym         736          4195392            4195392 
           .got         128         268436544           268436544 
          .hash         448          4196128            4196128 
Done
support 389#